# Generated from documentum-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name documentum

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Command line utility for generating PDF documents from markdown with custom stylesheets and haml templates
License: MIT
URL: http://github.com/thegrubbsian/documentum
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Command line utility for generating PDF documents from markdown with custom
stylesheets and haml templates.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/stylesheet.css
%{gem_instdir}/template.haml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/documentum.gemspec
%{gem_instdir}/test.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
